Package org.eclipse.m2m.atl.core.ant.tasks

# Class ATLModelTransformationTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask
org.eclipse.m2m.atl.core.ant.tasks.ATLModelTransformationTask

All Implemented Interfaces:
  `Cloneable`

public class ATLModelTransformationTask extends AbstractAtlTask
Launches an ATL transformation, using the launcher specified as property in the ant project.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected File`
`asmPath`
`protected List<InModel>`
`inModels`
`protected List<InModel>`
`inoutModels`
`protected boolean`
`isRefiningTraceMode`
`protected List<Library>`
`libraries`
`protected String`
`mode`
`protected Map<String,Object>`
`options`
`protected List<OutModel>`
`outModels`
`protected List<Superimpose>`
`superimposeModules`

### Fields inherited from class org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask

`DEFAULT_LAUNCHER, DEFAULT_MODEL_HANDLER, LAUNCHER_PROPERTY, OPTION_MODEL_HANDLER, OPTION_MODEL_NAME, OPTION_MODEL_PATH, OPTION_NEW_MODEL, RESULT_REFERENCE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`ATLModelTransformationTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConfiguredInModel(InModel model)`
Adds an input model to the task.
`void`
`addConfiguredInoutModel(InModel model)`
Adds an input/output model to the task.
`void`
`addConfiguredLibrary(Library library)`
Adds a library to the task.
`void`
`addConfiguredOption(Param option)`
Adds an option to the task.
`void`
`addConfiguredOutModel(OutModel model)`
Adds an output model to the task.
`void`
`addConfiguredSuperimpose(Superimpose superimpose)`
Adds a superimposition module to the task.
`void`
`execute()`
`void`
`setMode(String mode)`
`void`
`setPath(File path)`
`void`
`setRefining(boolean isRefining)`

### Methods inherited from class org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask

`error, error, getDefaultModelFactory, getLauncher, getLauncherName, init, newModel, newModel, newReferenceModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mode

protected String mode

### isRefiningTraceMode

protected boolean isRefiningTraceMode

### asmPath

protected File asmPath

### inModels

protected List<InModel> inModels

### outModels

protected List<OutModel> outModels

### inoutModels

protected List<InModel> inoutModels

### libraries

protected List<Library> libraries

### options

protected Map<String,Object> options

### superimposeModules

protected List<Superimpose> superimposeModules

## Constructor Details

### ATLModelTransformationTask

public ATLModelTransformationTask()

## Method Details

### setMode

public void setMode(String mode)

### setRefining

public void setRefining(boolean isRefining)

### setPath

public void setPath(File path)

### addConfiguredInModel

public void addConfiguredInModel(InModel model)
Adds an input model to the task.

Parameters:
  `model` - the given model

### addConfiguredOutModel

public void addConfiguredOutModel(OutModel model)
Adds an output model to the task.

Parameters:
  `model` - the given model

### addConfiguredInoutModel

public void addConfiguredInoutModel(InModel model)
Adds an input/output model to the task.

Parameters:
  `model` - the given model

### addConfiguredLibrary

public void addConfiguredLibrary(Library library)
Adds a library to the task.

Parameters:
  `library` - the given library

### addConfiguredSuperimpose

public void addConfiguredSuperimpose(Superimpose superimpose)
Adds a superimposition module to the task.

Parameters:
  `superimpose` - the given superimposition module

### addConfiguredOption

public void addConfiguredOption(Param option)
Adds an option to the task.

Parameters:
  `option` - the given option

### execute

public void execute() throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `AbstractAtlTask`
Throws:
  `org.apache.tools.ant.BuildException`
See Also:
  - `AbstractAtlTask.execute()`